<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/interpret_resource_desc_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr">  1 </span>03/31/83  interpret_resource_desc_
<span id="L2" class="LineNr">  2 </span>
<span id="L3" class="LineNr">  3 </span>
<span id="L4" class="LineNr">  4 </span>Entry points in interpret_resource_desc_:
<span id="L5" class="LineNr">  5 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L6" class="LineNr">  6 </span>
<span id="L7" class="LineNr">  7 </span>
<span id="L8" class="LineNr">  8 </span>:Entry:  interpret_resource_desc_: 02/07/83  interpret_resource_desc_
<span id="L9" class="LineNr">  9 </span>
<span id="L10" class="LineNr"> 10 </span>
<span id="L11" class="LineNr"> 11 </span>Function: provides a facility for displaying the contents of an RCP
<span id="L12" class="LineNr"> 12 </span>resource description, in a format similar to that used by the
<span id="L13" class="LineNr"> 13 </span>resource_status command.
<span id="L14" class="LineNr"> 14 </span>
<span id="L15" class="LineNr"> 15 </span>
<span id="L16" class="LineNr"> 16 </span>Syntax:
<span id="L17" class="LineNr"> 17 </span>declare interpret_resource_desc_ entry <span class="textRainbow_lv0_p0">(</span>pointer<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L18" class="LineNr"> 18 </span>     bit<span class="textRainbow_lv1_p0">(</span>36<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>1<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span> varying<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L19" class="LineNr"> 19 </span>call interpret_resource_desc_ <span class="textRainbow_lv0_p0">(</span>resource_desc_ptr<span class="textRainbow_lv0_o0">,</span> nth<span class="textRainbow_lv0_o0">,</span> callername<span class="textRainbow_lv0_o0">,</span>
<span id="L20" class="LineNr"> 20 </span>     string <span class="textRainbow_lv1_p0">(</span>rst_control<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> return_noprint<span class="textRainbow_lv0_o0">,</span> return_string<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L21" class="LineNr"> 21 </span>
<span id="L22" class="LineNr"> 22 </span>
<span id="L23" class="LineNr"> 23 </span>Arguments:
<span id="L24" class="LineNr"> 24 </span>resource_desc_ptr
<span id="L25" class="LineNr"> 25 </span>   is a pointer to the structure containing the RCP resource
<span id="L26" class="LineNr"> 26 </span>   description to be displayed.  <span class="textRainbow_lv0_p0">(</span>See the resource_control_
<span id="L27" class="LineNr"> 27 </span>   subroutine.<span class="textRainbow_lv0_p0">)</span>  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L28" class="LineNr"> 28 </span>nth
<span id="L29" class="LineNr"> 29 </span>   specifies which element of the resource description is to be
<span id="L30" class="LineNr"> 30 </span>   displayed <span class="textRainbow_lv0_p0">(</span>the index to the array resource_descriptions.item<span class="textRainbow_lv0_p0">)</span>.  If
<span id="L31" class="LineNr"> 31 </span>   nth is zero, all elements will be displayed.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L32" class="LineNr"> 32 </span>callername
<span id="L33" class="LineNr"> 33 </span>   is the name of the command invoking interpret_resource_desc_.  It is
<span id="L34" class="LineNr"> 34 </span>   used in printing any necessary error messages.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L35" class="LineNr"> 35 </span>rst_control
<span id="L36" class="LineNr"> 36 </span>   is declared in the include file rst_control.incl.pl1.  <span class="textRainbow_lv0_p0">(</span>See &quot;Display
<span id="L37" class="LineNr"> 37 </span>   Control&quot; below.<span class="textRainbow_lv0_p0">)</span>  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L38" class="LineNr"> 38 </span>
<span id="L39" class="LineNr"> 39 </span>
<span id="L40" class="LineNr"> 40 </span>return_noprint
<span id="L41" class="LineNr"> 41 </span>   specifies, if &quot;0&quot;b, that information about the resource description
<span id="L42" class="LineNr"> 42 </span>   is to be written to the user_output I/O switch.  If &quot;1&quot;b, the
<span id="L43" class="LineNr"> 43 </span>   information is returned in return_string, nth must not be zero, and
<span id="L44" class="LineNr"> 44 </span>   the elements of the structure rst_control must be set so that
<span id="L45" class="LineNr"> 45 </span>   exactly one item of information is requested.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L46" class="LineNr"> 46 </span>return_string
<span id="L47" class="LineNr"> 47 </span>   contains, if return_noprint is &quot;1&quot;b, a printable representation of
<span id="L48" class="LineNr"> 48 </span>   the information requested.  Otherwise, its contents are undefined.
<span id="L49" class="LineNr"> 49 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L50" class="LineNr"> 50 </span>code
<span id="L51" class="LineNr"> 51 </span>   is a standard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L52" class="LineNr"> 52 </span>
<span id="L53" class="LineNr"> 53 </span>
<span id="L54" class="LineNr"> 54 </span>Display Control:
<span id="L55" class="LineNr"> 55 </span>The rst_control structure <span class="textRainbow_lv0_p0">(</span>declared in the include file
<span id="L56" class="LineNr"> 56 </span>rst_control.incl.pl1<span class="textRainbow_lv0_p0">)</span> is defined as follows:
<span id="L57" class="LineNr"> 57 </span>   dcl 1 rst_control             aligned,
<span id="L58" class="LineNr"> 58 </span>         2 default               bit <span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unaligned,
<span id="L59" class="LineNr"> 59 </span>         2 name                  bit <span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unaligned,
<span id="L60" class="LineNr"> 60 </span>         2 uid                   bit <span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unaligned,
<span id="L61" class="LineNr"> 61 </span>         2 potential_attributes  bit <span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unaligned,
<span id="L62" class="LineNr"> 62 </span>         2 attributes            bit <span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unaligned,
<span id="L63" class="LineNr"> 63 </span>         2 desired_attributes    bit <span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unaligned,
<span id="L64" class="LineNr"> 64 </span>         2 potential_aim_range   bit <span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unaligned,
<span id="L65" class="LineNr"> 65 </span>         2 aim_range             bit <span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unaligned,
<span id="L66" class="LineNr"> 66 </span>         2 owner                 bit <span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unaligned,
<span id="L67" class="LineNr"> 67 </span>         2 acs_path              bit <span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unaligned,
<span id="L68" class="LineNr"> 68 </span>         2 location              bit <span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unaligned,
<span id="L69" class="LineNr"> 69 </span>         2 comment               bit <span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unaligned,
<span id="L70" class="LineNr"> 70 </span>         2 charge_type           bit <span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unaligned,
<span id="L71" class="LineNr"> 71 </span>         2 mode                  bit <span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unaligned,
<span id="L72" class="LineNr"> 72 </span>         2 usage_lock            bit <span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unaligned,
<span id="L73" class="LineNr"> 73 </span>         2 release_lock          bit <span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unaligned,
<span id="L74" class="LineNr"> 74 </span>         2 awaiting_clear        bit <span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unaligned,
<span id="L75" class="LineNr"> 75 </span>         2 user_alloc            bit <span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unaligned,
<span id="L76" class="LineNr"> 76 </span>         2 given_flags           bit <span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unaligned,
<span id="L77" class="LineNr"> 77 </span>         2 mbz                   bit <span class="textRainbow_lv0_p0">(</span>16<span class="textRainbow_lv0_p0">)</span> unaligned,
<span id="L78" class="LineNr"> 78 </span>         2 any_given_item        bit <span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unaligned;
<span id="L79" class="LineNr"> 79 </span>
<span id="L80" class="LineNr"> 80 </span>
<span id="L81" class="LineNr"> 81 </span>
<span id="L82" class="LineNr"> 82 </span>   Structure elements:
<span id="L83" class="LineNr"> 83 </span>   default
<span id="L84" class="LineNr"> 84 </span>      if &quot;1&quot;b, signifies that certain items of information are to be
<span id="L85" class="LineNr"> 85 </span>      displayed only if they are not in the most common state.  This
<span id="L86" class="LineNr"> 86 </span>      bit should not be used by non-system commands.
<span id="L87" class="LineNr"> 87 </span>   name
<span id="L88" class="LineNr"> 88 </span>      is &quot;1&quot;b if item.name is to be displayed.
<span id="L89" class="LineNr"> 89 </span>   uid
<span id="L90" class="LineNr"> 90 </span>      is &quot;1&quot;b if item.uid is to be displayed.
<span id="L91" class="LineNr"> 91 </span>   potential_attributes
<span id="L92" class="LineNr"> 92 </span>      is &quot;1&quot;b if item.potential_attributes is to be displayed.
<span id="L93" class="LineNr"> 93 </span>   attributes
<span id="L94" class="LineNr"> 94 </span>      is &quot;1&quot;b if item.attributes is to be displayed.
<span id="L95" class="LineNr"> 95 </span>   desired_attributes
<span id="L96" class="LineNr"> 96 </span>      is &quot;1&quot;b if item.desired_attributes is to be displayed.
<span id="L97" class="LineNr"> 97 </span>
<span id="L98" class="LineNr"> 98 </span>
<span id="L99" class="LineNr"> 99 </span>   potential_aim_range
<span id="L100" class="LineNr">100 </span>      is &quot;1&quot;b if item.potential_aim_range is to be displayed.
<span id="L101" class="LineNr">101 </span>   aim_range
<span id="L102" class="LineNr">102 </span>      is &quot;1&quot;b if item.aim_range is to be displayed.
<span id="L103" class="LineNr">103 </span>   owner
<span id="L104" class="LineNr">104 </span>      is &quot;1&quot;b if item.owner is to be displayed.
<span id="L105" class="LineNr">105 </span>   acs_path
<span id="L106" class="LineNr">106 </span>      is &quot;1&quot;b if item.acs_path is to be displayed.
<span id="L107" class="LineNr">107 </span>   location
<span id="L108" class="LineNr">108 </span>      is &quot;1&quot;b if item.location is to be displayed.
<span id="L109" class="LineNr">109 </span>   comment
<span id="L110" class="LineNr">110 </span>      is &quot;1&quot;b if item.comment is to be displayed.
<span id="L111" class="LineNr">111 </span>   charge_type
<span id="L112" class="LineNr">112 </span>      is &quot;1&quot;b if item.charge_type is to be displayed.
<span id="L113" class="LineNr">113 </span>   mode
<span id="L114" class="LineNr">114 </span>      is &quot;1&quot;b if item.mode is to be displayed.
<span id="L115" class="LineNr">115 </span>
<span id="L116" class="LineNr">116 </span>
<span id="L117" class="LineNr">117 </span>   usage_lock
<span id="L118" class="LineNr">118 </span>      is &quot;1&quot;b if item.usage_lock is to be displayed.
<span id="L119" class="LineNr">119 </span>   release_lock
<span id="L120" class="LineNr">120 </span>      is &quot;1&quot;b if item.release_lock is to be displayed.
<span id="L121" class="LineNr">121 </span>   awaiting_clear
<span id="L122" class="LineNr">122 </span>      is &quot;1&quot;b if item.awaiting_clear is to be displayed.
<span id="L123" class="LineNr">123 </span>   user_alloc
<span id="L124" class="LineNr">124 </span>      is &quot;1&quot;b if item.user_alloc is to be displayed.
<span id="L125" class="LineNr">125 </span>   given_flags
<span id="L126" class="LineNr">126 </span>      is &quot;1&quot;b if the state of all the flags in the structure item.given
<span id="L127" class="LineNr">127 </span>      is to be displayed.
<span id="L128" class="LineNr">128 </span>   mbz
<span id="L129" class="LineNr">129 </span>      is unused and must be &quot;0&quot;b.
<span id="L130" class="LineNr">130 </span>   any_given_item
<span id="L131" class="LineNr">131 </span>      is &quot;1&quot;b to display any field in the item structure for which the
<span id="L132" class="LineNr">132 </span>      corresponding bit in the item.given structure is &quot;1&quot;b.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
